Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoPartDetection Class Reference
GoSdk/Surface

## Description

Represents the part detection parameters of the surface mode configuration.

Inheritance diagram for GoPartDetection:

## Public Member Functions
kBool | GoPartDetection_EdgeFilterAnteriorPreservationEnabled (GoPartDetection detection)
| Gets the part detection edge filtering anterior preservation value. More...
kBool | GoPartDetection_EdgeFilterEnabled (GoPartDetection detection)
| Returns the state of whether or not edge filtering is enabled. More...
k64f | GoPartDetection_EdgeFilterLength (GoPartDetection detection)
| Gets the part detection edge filtering length value. More...
k64f | GoPartDetection_EdgeFilterLengthLimitMax (GoPartDetection detection)
| Gets the part detection edge filtering length maximum limit value. More...
k64f | GoPartDetection_EdgeFilterLengthLimitMin (GoPartDetection detection)
| Gets the part detection edge filtering length minimum limit value. More...
kBool | GoPartDetection_EdgeFilterUsed (GoPartDetection detection)
| Returns the state of whether or not the user specified edge filtering configuration is used. More...
k64f | GoPartDetection_EdgeFilterWidth (GoPartDetection detection)
| Gets the part detection edge filtering width value. More...
k64f | GoPartDetection_EdgeFilterWidthLimitMax (GoPartDetection detection)
| Gets the part detection edge filtering width maximum limit value. More...
k64f | GoPartDetection_EdgeFilterWidthLimitMin (GoPartDetection detection)
| Gets the part detection edge filtering width minimum limit value. More...
kStatus | GoPartDetection_EnableEdgeFilter (GoPartDetection detection, kBool enable)
| Enables or disables edge filtering. More...
kStatus | GoPartDetection_EnableEdgeFilterAnteriorPreservation (GoPartDetection detection, kBool enable)
| Enables or disables the part detection edge filtering anterior preservation. More...
kStatus | GoPartDetection_EnablePartDetection (GoPartDetection detection, kBool enable)
| Enables part detection. More...
kBool | GoPartDetection_EnablePartDetectionUsed (GoPartDetection detection)
| Returns the state of whether or not the user specified part detection value is used. More...
GoPartFrameOfReference | GoPartDetection_FrameOfReference (GoPartDetection detection)
| Gets the part detection frame of reference. More...
kBool | GoPartDetection_FrameOfReferenceUsed (GoPartDetection detection)
| Returns the state of whether or not the user specified frame of reference value is used. More...
k64f | GoPartDetection_GapLength (GoPartDetection detection)
| Gets the part detection gap length value. More...
k64f | GoPartDetection_GapLengthLimitMax (GoPartDetection detection)
| Gets the part detection gap length maximum limit value. More...
k64f | GoPartDetection_GapLengthLimitMin (GoPartDetection detection)
| Gets the part detection gap width minimum limit value. More...
kBool | GoPartDetection_GapLengthUsed (GoPartDetection detection)
| Returns the state of whether or not the user specified gap length value is used. More...
k64f | GoPartDetection_GapWidth (GoPartDetection detection)
| Gets the part detection gap width value. More...
k64f | GoPartDetection_GapWidthLimitMax (GoPartDetection detection)
| Gets the part detection gap width maximum limit value. More...
k64f | GoPartDetection_GapWidthLimitMin (GoPartDetection detection)
| Gets the part detection gap width minimum limit value. More...
kBool | GoPartDetection_GapWidthUsed (GoPartDetection detection)
| Returns the state of whether or not the user specified gap width value is used. More...
k64f | GoPartDetection_MaxLength (GoPartDetection detection)
| Gets the part detection max length value. More...
k64f | GoPartDetection_MaxLengthLimitMax (GoPartDetection detection)
| Gets the part detection maximum length range maximum value. More...
k64f | GoPartDetection_MaxLengthLimitMin (GoPartDetection detection)
| Gets the part detection maximum length range minimum value. More...
kBool | GoPartDetection_MaxLengthUsed (GoPartDetection detection)
| Returns the state of whether or not the user specified maximum length value is used. More...
k64f | GoPartDetection_MinArea (GoPartDetection detection)
| Gets the part detection minimum area value. More...
k64f | GoPartDetection_MinAreaLimitMax (GoPartDetection detection)
| Gets the part detection maximum area range maximum value. More...
k64f | GoPartDetection_MinAreaLimitMin (GoPartDetection detection)
| Gets the part detection minimum area range maximum value. More...
kBool | GoPartDetection_MinAreaUsed (GoPartDetection detection)
| Returns the state of whether or not the user specified minimum area value is used. More...
k64f | GoPartDetection_MinLength (GoPartDetection detection)
| Gets the part detection minimum length value. More...
k64f | GoPartDetection_MinLengthLimitMax (GoPartDetection detection)
| Gets the part detection minimum length range maximum value. More...
k64f | GoPartDetection_MinLengthLimitMin (GoPartDetection detection)
| Gets the part detection minimum length range minimum value. More...
kBool | GoPartDetection_MinLengthUsed (GoPartDetection detection)
| Returns the state of whether or not the user specified minimum length value is used. More...
k64f | GoPartDetection_PaddingLength (GoPartDetection detection)
| Gets the part detection padding length value. More...
k64f | GoPartDetection_PaddingLengthLimitMax (GoPartDetection detection)
| Gets the part detection padding length maximum limit value. More...
k64f | GoPartDetection_PaddingLengthLimitMin (GoPartDetection detection)
| Gets the part detection padding length minimum limit value. More...
kBool | GoPartDetection_PaddingLengthUsed (GoPartDetection detection)
| Returns the state of whether or not the user specified padding length value is used. More...
k64f | GoPartDetection_PaddingWidth (GoPartDetection detection)
| Gets the part detection padding width value. More...
k64f | GoPartDetection_PaddingWidthLimitMax (GoPartDetection detection)
| Gets the part detection padding width maximum limit value. More...
k64f | GoPartDetection_PaddingWidthLimitMin (GoPartDetection detection)
| Gets the part detection padding width minimum limit value. More...
kBool | GoPartDetection_PaddingWidthUsed (GoPartDetection detection)
| Returns the state of whether or not the user specified padding width value is used. More...
kBool | GoPartDetection_PartDetectionEnabled (GoPartDetection detection)
| Gets the current state of part detection. More...
kBool | GoPartDetection_PartDetectionEnabledSystemValue (GoPartDetection detection)
| Gets the current part detection system state. More...
kStatus | GoPartDetection_SetEdgeFilterLength (GoPartDetection detection, k64f value)
| Sets the part detection edge filtering Length. More...
kStatus | GoPartDetection_SetEdgeFilterWidth (GoPartDetection detection, k64f value)
| Sets the part detection edge filtering width. More...
kStatus | GoPartDetection_SetFrameOfReference (GoPartDetection detection, GoPartFrameOfReference frameOfRef)
| Sets the part detection frame of reference. More...
kStatus | GoPartDetection_SetGapLength (GoPartDetection detection, k64f gap)
| Sets the part detection gap length. More...
kStatus | GoPartDetection_SetGapWidth (GoPartDetection detection, k64f gap)
| Sets the part detection gap width. More...
kStatus | GoPartDetection_SetMaxLength (GoPartDetection detection, k64f length)
| Sets the part detection maximum length. More...
kStatus | GoPartDetection_SetMinArea (GoPartDetection detection, k64f area)
| Sets the part detection minimum area. More...
kStatus | GoPartDetection_SetMinLength (GoPartDetection detection, k64f length)
| Sets the part detection minimum length. More...
kStatus | GoPartDetection_SetPaddingLength (GoPartDetection detection, k64f padding)
| Sets the part detection padding length. More...
kStatus | GoPartDetection_SetPaddingWidth (GoPartDetection detection, k64f padding)
| Sets the part detection padding width. More...
kStatus | GoPartDetection_SetThreshold (GoPartDetection detection, k64f height)
| Sets the part detection height threshold. More...
kStatus | GoPartDetection_SetThresholdDirection (GoPartDetection detection, GoPartHeightThresholdDirection direction)
| Sets the part detection height threshold direction. More...
k64f | GoPartDetection_Threshold (GoPartDetection detection)
| Gets the part detection threshold value. More...
GoPartHeightThresholdDirection | GoPartDetection_ThresholdDirection (GoPartDetection detection)
| Gets the part detection threshold direction. More...
k64f | GoPartDetection_ThresholdLimitMax (GoPartDetection detection)
| Gets the part detection maximum threshold value. More...
k64f | GoPartDetection_ThresholdLimitMin (GoPartDetection detection)
| Gets the part detection minimum threshold value. More...
GoSurfaceGenerationType | GoSurfaceGeneration_GenerationType (GoSurfaceGeneration surface)
| Gets the current surface generation type. More...
kStatus | GoSurfaceGeneration_SetGenerationType (GoSurfaceGeneration surface, GoSurfaceGenerationType type)
| Sets the surface generation type. More...
k64f | GoSurfaceGenerationFixedLength_Length (GoSurfaceGeneration surface)
| Gets the fixed length surface generation surface length. More...
k64f | GoSurfaceGenerationFixedLength_LengthLimitMax (GoSurfaceGeneration surface)
| Gets the fixed length surface generation circumference limit maximum value. More...
k64f | GoSurfaceGenerationFixedLength_LengthLimitMin (GoSurfaceGeneration surface)
| Gets the fixed length surface generation circumference limit minimum value. More...
kStatus | GoSurfaceGenerationFixedLength_SetLength (GoSurfaceGeneration surface, k64f length)
| Sets the fixed length surface generation surface length. More...
kStatus | GoSurfaceGenerationFixedLength_SetStartTrigger (GoSurfaceGeneration surface, GoSurfaceGenerationStartTrigger trigger)
| Sets the fixed length surface generation start trigger. More...
GoSurfaceGenerationStartTrigger | GoSurfaceGenerationFixedLength_StartTrigger (GoSurfaceGeneration surface)
| Gets the fixed length surface generation start trigger. More...
k64f | GoSurfaceGenerationRotational_Circumference (GoSurfaceGeneration surface)
| Gets the rotational surface generation circumference. More...
k64f | GoSurfaceGenerationRotational_CircumferenceLimitMax (GoSurfaceGeneration surface)
| Gets the rotational surface generation circumference limit maximum value. More...
k64f | GoSurfaceGenerationRotational_CircumferenceLimitMin (GoSurfaceGeneration surface)
| Gets the rotational surface generation circumference limit minimum value. More...
kStatus | GoSurfaceGenerationRotational_SetCircumference (GoSurfaceGeneration surface, k64f value)
| Sets the rotational surface generation surface circumference. More...
k64f | GoSurfaceGenerationVariableLength_MaxLength (GoSurfaceGeneration surface)
| Gets the variable length surface generation maximum length. More...
k64f | GoSurfaceGenerationVariableLength_MaxLengthLimitMax (GoSurfaceGeneration surface)
| Gets the variable length surface generation circumference limit maximum value. More...
k64f | GoSurfaceGenerationVariableLength_MaxLengthLimitMin (GoSurfaceGeneration surface)
| Gets the variable length surface generation circumference limit minimum value. More...
kStatus | GoSurfaceGenerationVariableLength_SetMaxLength (GoSurfaceGeneration surface, k64f length)
| Sets the variable length surface generation maximum length. More...

The documentation for this class was generated from the following files:

- GoPartDetection.h
- GoSurfaceGeneration.h